<?php
////////////////////////////////////////////////////////////////////////
// Example Editor Plugin Console
// Editor Console Plugins add buttons to any or all of the HTML/code editors in the Breeze.
//
	// Include check_session.php to bring in site configuration and database connectivity.
	include_once ("check_session.php");
	
	// Include language file based on config language setting.  You will need to create language files to use this feature.
	$query = "SELECT `language_folder` FROM " . BWB_TABLE_PREFIX . "plugins WHERE `name` = 'My Plugin'";
	$result = $bwb_dbh->query($query);
	$row = $result->fetch(PDO::FETCH_ASSOC);
	$language_folder = $row['language_folder'];
	
	$document_root = $_SERVER['DOCUMENT_ROOT'];
	if ((defined("BWB_LANG")) && (file_exists(document_root . "/" . $language_folder . "/" . BWB_LANG . ".php")))
		include_once ($document_root . "/" . $language_folder . "/" . BWB_LANG . ".php");
	else
		include_once ($document_root . "/" . $language_folder . "/en.php");
		
	// Put any additional pre-body PHP code here as needed.
?>
<!DOCTYPE html>
<html>
<head>
<script>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// The code below displays the iframe that has this console assigned to.  It is not necessary to display the iframe if your
// plugin code can run without user input.
	var plugin_iframe = parent.document.getElementById("plugin_iframe");
	plugin_iframe.style.display = "block";
	plugin_iframe.style.position = "absolute";
	plugin_iframe.style.top = "4px";
	plugin_iframe.style.left = "8px";
	var plugin_iframe_width = parent.document.getElementById("workspace_body").clientWidth * 0.9;
  	var plugin_iframe_height = parent.document.getElementById("workspace_body").clientHeight * 0.9;
  	plugin_iframe.style.width = plugin_iframe_width + "px";
	plugin_iframe.style.height = plugin_iframe_height + "px";
	plugin_iframe.style.backgroundColor = "#d9d9d9";
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
  function GetPageContent()
  {
    var sValue = parent.CKEDITOR.instances['editorContainer'].getData();
    var page_content_textarea = document.getElementById("page_content_textarea");
	page_content_textarea.innerHTML = sValue;
    var plugin_textarea_width = plugin_iframe_width - 20;
    var plugin_textarea_height = plugin_iframe_height - 60;
    page_content_textarea.style.width = plugin_textarea_width + "px";
	page_content_textarea.style.height = plugin_textarea_height + "px";
  }
  
  function InsertHelloWorld()
  {
    var sValue = parent.CKEDITOR.instances['editorContainer'].getData();
    var page_content_arr = sValue.split("<p>");
    page_content_arr[0] = page_content_arr[0] + "\n<h1>Hello World!!!</h1>\n";
    var page_content = "";
    for (var i = 0; i < page_content_arr.length; i++)	{
      page_content = page_content + "<p>" + page_content_arr[i];
    }
    parent.CKEDITOR.instances['editorContainer'].setData(page_content);
    plugin_iframe.style.display = "none";
  }
  
// The Cancel fuction is called by teh Cancel button and is used to hide the editor console iframe.
  function Cancel()
  {
    plugin_iframe.style.display = "none";
  }
</script>
</head>
<body onLoad="GetPageContent();">
  <div style="text-align:center;">
   <textarea id="page_content_textarea" readonly>
		Hello World!!!
	</textarea> 
  <div style="padding-top:8px;">
  	<input type="button" value="Cancel" onClick="Cancel();" style="margin-left:50px; margin-right:50px;" />
  	<input type="button" value="Insert 'Hello World!!!''" onClick="InsertHelloWorld();" style="margin-left:50px; margin-right:50px;" />
  </div>
 </div>
</body>
</html>